package com.gamedog.vididin.manager.taskbeans

import java.io.Serializable


data class TaskDailySignBean(
    var startDurationMs: Long = 0,
    val signStateList: MutableList<DailySignDayInfoBean> = mutableListOf()
): BaseTaskState() {
    init {
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
        signStateList.add(DailySignDayInfoBean())
    }
}


data class DailySignDayInfoBean(
    var hasSigned: Boolean = false,
    var hasWatchedAd: Boolean = false,
    var hasRewardedNum: Int = 0,
): Serializable


